Skip to content
Start here

Get prefix-to-ASN mapping

radar.bgp.routes.pfx2as(RoutePfx2asParams**kwargs) -> RoutePfx2asResponse
GET/radar/bgp/routes/pfx2as

Retrieves the prefix-to-ASN mapping from global routing tables.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
longest_prefix_match: Optional[bool]

Return only results with the longest prefix match for the given prefix. For example, specify a /32 prefix to lookup the origin ASN for an IPv4 address.

origin: Optional[int]

Lookup prefixes originated by the given ASN.

prefix: Optional[str]
rpki_status: Optional[Literal["VALID", "INVALID", "UNKNOWN"]]

Return only results with matching rpki status: valid, invalid or unknown.

One of the following:
"VALID"
"INVALID"
"UNKNOWN"
ReturnsExpand Collapse
class RoutePfx2asResponse:
meta: Meta
data_time: str
query_time: str
total_peers: int
prefix_origins: List[PrefixOrigin]
origin: int
peer_count: int
prefix: str
rpki_validation: str

Get prefix-to-ASN mapping

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.radar.bgp.routes.pfx2as()
print(response.meta)
{
  "result": {
    "meta": {
      "data_time": "data_time",
      "query_time": "query_time",
      "total_peers": 0
    },
    "prefix_origins": [
      {
        "origin": 0,
        "peer_count": 0,
        "prefix": "prefix",
        "rpki_validation": "rpki_validation"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "data_time": "data_time",
      "query_time": "query_time",
      "total_peers": 0
    },
    "prefix_origins": [
      {
        "origin": 0,
        "peer_count": 0,
        "prefix": "prefix",
        "rpki_validation": "rpki_validation"
      }
    ]
  },
  "success": true
}